Unit tde88e1_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, F88EX1_p, DE88E_p;

function tde88e1: String;

implementation

function tde88e1: String;
var
M,IORDY,K0,IMAX,INIAPR,NXP1,NX,I,_i,KP3,KP2,KP1,L,J :Integer;
XN,H,XK,H0,X1,Q :Extended;
XS :Array [0..4] of Extended;
AY :Array [0..27] of Extended;
ADY :Array [0..25] of Extended;
AD2Y :Array [0..23] of Extended;
RAB :Array [0..456] of Extended;
YN :Array [0..1] of Extended;
DYN :Array [0..1] of Extended;
Y :Array [0..1] of Extended;
DY :Array [0..1] of Extended;
YT :Array [0..1] of Extended;
DELY :Array [0..1] of Extended;
DELDY :Array [0..1] of Extended;
DYT :Array [0..1] of Extended;
const
K :Integer = 11;
label
_20;
begin
Result := '';  {   }
M := 2;
Q := 0.5e0;
XN := 0.0;
YN[0] := Cos(Q)+3.e0;
YN[1] := -Sin(Q)+2.e0;
DYN[0] := 2.e0*Q*Sin(Q);
DYN[1] := 2.e0*Q*Cos(Q);
XK := 1.e0;
IORDY := 2;
H0 := 1.e0;
X1 := (2)*XK-1.e0;
YT[0] := Cos(Q*X1)+3.e0;
YT[1] := Sin(Q*X1)+2.e0;
DYT[0] := -2.e0*Q*Sin(Q*X1);
DYT[1] := 2.e0*Q*Cos(Q*X1);
K0 := K;
IMAX := 16;
INIAPR := 1;
H := H0;
DE88E(F88EX1,M,XN,YN,DYN,XK,K0,INIAPR,IMAX,IORDY,H,Y,DY,NX,XS,AY,
     ADY,AD2Y,RAB);
DELY[0] := YT[0]-Y[0];
DELY[1] := YT[1]-Y[1];
DELDY[0] := DYT[0]-DY[0];
DELDY[1] := DYT[1]-DY[1];
NXP1 := NX+1;
Result := Result + Format('%s',
 [' -------------------------------------------------------------------------------------' + #$0D#$0A]);
Result := Result + Format(' NX=%3d ',[NX]) + #$0D#$0A;
Result := Result + Format('%s',[' XS=' + #$0D#$0A]);
for I:=1 to NXP1 do
 begin
  Result := Result + Format('%30.18e ',[XS[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format(' H0=%20.16f    K=%2d    INIAPR=%1d    IMAX=%2d    IORDY=%1d ',
 [H0,K,INIAPR,IMAX,IORDY]) + #$0D#$0A;
Result := Result + Format('%s',[' Y  =']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[Y[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',[#$0D#$0A + ' YT =']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[YT[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',[#$0D#$0A + ' DELY =']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[DELY[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',[#$0D#$0A + #$0D#$0A + ' DY =']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[DY[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',[#$0D#$0A + ' DYT=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[DYT[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',[#$0D#$0A + ' DELDY=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[DELDY[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
KP3 := K0+3;
KP2 := K0+2;
KP1 := K0+1;
Result := Result + Format(#$0D#$0A+' COEFFICIENTS AY,ADY AND AD2Y ON %3d ',
 [NX]);
Result := Result + Format('%s',['  SEGMENT']) + #$0D#$0A;
Result := Result + Format('%s',
 [' -------------------------------------------------------------------------------------' + #$0D#$0A]);
Result := Result + Format('%s',
 ['   Number of                         Chebyshev coefficients' + #$0D#$0A +
 '              ------------------------------------------------------------------------' + #$0D#$0A +
 ' coefficient           for Y                  for Y''                    for Y''''' + #$0D#$0A +
 ' -------------------------------------------------------------------------------------' + #$0D#$0A]);
for L:=1 to M do
 begin
  Result := Result + Format(' FOR %1d ',[L]);
  Result := Result + Format('%s',[' COMPONENT']) + #$0D#$0A;
  for J:=1 to KP1 do
   begin
    Result := Result + Format('  %2d %30.18e %30.18e %30.18e ',[
J-1,AY[(L-1)+(J  -1)*2],ADY[(L-1)+(J  -1)*2],AD2Y[(L-1)+(J-1)*2]]) + #$0D#$0A;
   end;
  Result := Result + Format('  %2d %30.18e %30.18e'+#$0D#$0A+'  %2d %30.18e',
 [KP1,AY[(L-1)+(KP2-1)*2],ADY[(L-1)+(KP2-1)*2],KP2,AY[(L-1)+(KP3-1)*2]]) + #$0D#$0A;
_20:
 end;
exit;
{    86 FORMAT(2(5X,I2,5X,2e25.16)) }
UtRes('tde88e1',Result);  {     Tde88e1.res }
exit;
{  }
end;

end.
